<?php
/**
 * Created by PhpStorm.
 * User: gabriel
 * Date: 10/09/18
 * Time: 13:02
 */

namespace ByDedi\Module\CustomForm\Model;

use Form\FullForm\OptionInterface;

/**
 * Interface FormFieldEntityInterface
 * @package ByDedi\Module\CustomForm\Model
 */
interface FieldEntityInterface
{
    /**
     * @return CustomConstraintInterface[]
     */
    public function getConstraints();

    /**
     * @return OptionInterface[]
     */
    public function getOptions();

    /**
     * @param string $value
     * @return OptionInterface|null
     */
    public function getOptionByValue($value);

    /**
     * @return int
     */
    public function getTypeId();

    /**
     * @return string
     */
    public function getId();

    /**
     * @return string
     */
    public function getLabel();

    /**
     * @return string
     */
    public function getTags();
}
