<?php
// phpcs:disable

use Phinx\Migration\AbstractMigration;

class CustomFormBoutiqueStatut extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $this->table('form_boutique')
            ->addColumn('form_boutique_statut_id', 'integer', ['default' => 1])
            ->update()
        ;

        $this->table('form_field_boutique')
            ->addColumn('form_field_boutique_statut_id', 'integer', ['default' => 1])
            ->update()
        ;
    }
}
