<?php

use Phinx\Migration\AbstractMigration;

// phpcs:disable
class BoModificationMigration extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $this->execute("UPDATE back_module SET module_order = 3 WHERE module_page = 'form_field'");
        $this->execute("UPDATE back_module SET module_order = 3 WHERE module_page = 'form_field_option'");
        $this->execute("UPDATE back_module SET module_rang = 140 WHERE module_page = 'form_response'");
    }
}
