<?php

namespace ByDedi\Module\CustomForm\Model;

use Form\Constraint\ConstraintInterface;

/**
 * Class Constraints
 * @package ByDedi\Module\CustomForm\Model
 *
 * @property int form_constraint_id
 * @property string form_constraint_libelle
 */
interface CustomConstraintInterface extends ConstraintInterface
{
    /**
     * @return int
     */
    public function getId();

    /**
     * @return bool
     */
    public function isMail();

    /**
     * @return bool
     */
    public function isPhone();

    /**
     * @return string
     */
    public function getError();
}
