<?php
/**
 * Created by PhpStorm.
 * User: gabriel
 * Date: 10/09/18
 * Time: 13:04
 */

namespace ByDedi\Module\CustomForm\Model;

use ByDedi\Module\CustomForm\Service\NoIdException;

/**
 * Interface FormResponseInterface
 * @package ByDedi\Module\CustomForm\Model
 */
interface FormResponseInterface
{
    /**
     * @return FormEntityInterface
     */
    public function getForm();

    /**
     * @return FieldResponseInterface[]
     */
    public function getFields();

    /**
     * @return bool
     */
    public function hasId();

    /**
     * @return integer
     * @throws NoIdException
     */
    public function getId();
}
